import request from '@/utils/request'

// 分页查询船舶航次列表
export function pageListBmvoyage(query) {
  return request({
    url: '/jxc/bmvoyage/pageList',
    method: 'get',
    params: query
  })
}

// 查询船舶航次列表
export function listBmvoyage(query) {
  return request({
    url: '/jxc/bmvoyage/list',
    method: 'get',
    params: query
  })
}
// 查询船舶航次列表
export function newListBmvoyage(query) {
  return request({
    url: '/jxc/bmvoyage/newList',
    method: 'get',
    params: query
  })
}


// 查询船舶航次详细
export function getBmvoyage(id) {
  return request({
    url: '/jxc/bmvoyage/' + id,
    method: 'get'
  })
}

// 新增船舶航次
export function addBmvoyage(data) {
  return request({
    url: '/jxc/bmvoyage',
    method: 'post',
    data: data
  })
}

// 修改船舶航次
export function updateBmvoyage(data) {
  return request({
    url: '/jxc/bmvoyage',
    method: 'put',
    data: data
  })
}

// 删除船舶航次
export function delBmvoyage(id) {
  return request({
    url: '/jxc/bmvoyage/' + id,
    method: 'delete'
  })
}

// 导出船舶航次
export function exportBmvoyage(query) {
  return request({
    url: '/jxc/bmvoyage/' + 'export',
    method: 'post',
    params: query
  })
}

export function checkBmvoyage(id) {
  return request({
    url: '/jxc/bmvoyage/check/' + id,
    method: 'get'
  })
}

export function uncheckBmvoyage(id) {
  return request({
    url: '/jxc/bmvoyage/uncheck/' + id,
    method: 'get'
  })
}
